PHP Manual
Prev |  | Next

# http_match_etag

(PECL)

http_match_etag -- Match ETag

## Description

bool http_match_etag ( string etag [, bool for_range = FALSE] )

Matches the given `ETag` against the clients `If-Match` resp. `If-None-Match` HTTP headers.

## Parameters

`etag`

  the `ETag` to match

`for_range`

  if set to `TRUE`, the header usually used to validate HTTP ranges will be checked

## Return Values

Returns `TRUE` if `ETag` matches or the header contained the asterisk ("*"), else `FALSE`.

## See Also

http_match_last_modified()
http_match_request_header()
http_cache_etag()
http_cache_last_modified()
ob_etaghandler()

Prev | Home | Next
http_support | Up | http_match_modified